### 2.4 Command line options for frozen state ¶

GNU `m4` comes with a feature of freezing internal state (see Fast loading of frozen state). This can be used to speed up `m4` execution when reusing a common initialization script.

`-F file`
`--freeze-state=file`

  Once execution is finished, write out the frozen state on the specified file. It is conventional, but not required, for file to end in ‘`.m4f`’.

`-R file`
`--reload-state=file`

  Before execution starts, recover the internal state from the specified frozen file. The options `-D`, `-U`, and `-t` take effect after state is reloaded, but before the input files are read.